Returns the string representation of this RegexInterface

- « MongoDB\BSON\RegexInterface::getPattern

- MongoDB\BSON\TimestampInterface »

- PHP Manual
- MongoDB\BSON\RegexInterface
- Returns the string representation of this RegexInterface

# MongoDB\BSON\RegexInterface::__toString

(mongodb >=1.3.0)

MongoDB\BSON\RegexInterface::__toString — Returns the string representation of this RegexInterface

### Description

abstract public MongoDB\BSON\RegexInterface::__toString(): string

### Parameters

This function has no parameters.

### Return Values

Returns the string representation of this RegexInterface.

### See Also

- MongoDB\BSON\Regex::__toString() - Returns the string representation of this Regex